"use strict";
/*
 * modified to support math block
 * check https://github.com/jonschlinkert/remarkable/blob/875554aedb84c9dd190de8d0b86c65d2572eadd5/lib/rules.js
 */
Object.defineProperty(exports, "__esModule", { value: true });
const block_info_1 = require("block-info");
const utility_1 = require("../utility");
exports.default = (md, config) => {
    md.renderer.rules.fence = (tokens, idx, options, env, instance) => {
        const token = tokens[idx];
        // get code info (same line as opening fence)
        const info = token.info.trim();
        const parsedInfo = block_info_1.parseBlockInfo(info);
        const normalizedInfo = block_info_1.normalizeBlockInfo(parsedInfo);
        // get code content
        const content = utility_1.escapeString(token.content);
        // copied from getBreak function.
        const finalBreak = idx < tokens.length && tokens[idx].type === "list_item_close" ? "\n" : "";
        return `<pre data-role="codeBlock" data-info="${utility_1.escapeString(info)}" data-parsed-info="${utility_1.escapeString(JSON.stringify(parsedInfo))}" data-normalized-info="${utility_1.escapeString(JSON.stringify(normalizedInfo))}">${content}</pre>${finalBreak}`;
    };
};
//# sourceMappingURL=code-fences.js.map