"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const utility_1 = require("../utility");
exports.default = (md, config) => {
    md.use(require(path_1.resolve(utility_1.extensionDirectoryPath, "./dependencies/markdown-it/extensions/markdown-it-emoji.min.js")));
    md.renderer.rules.emoji = (tokens, idx) => {
        const token = tokens[idx];
        if (config.enableEmojiSyntax) {
            const markup = token.markup;
            if (markup.startsWith("fa-")) {
                // font-awesome
                return `<i class="fa ${markup}" aria-hidden="true"></i>`;
            }
            else {
                // emoji
                return token.content;
            }
        }
        else {
            return `:${token.markup}:`;
        }
    };
};
//# sourceMappingURL=emoji.js.map