"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const utility_1 = require("../utility");
const optionsFromConfig = (config) => ({
    html5embed: {
        useImageSyntax: config.HTML5EmbedUseImageSyntax,
        useLinkSyntax: config.HTML5EmbedUseLinkSyntax,
        isAllowedHttp: config.HTML5EmbedIsAllowedHttp,
        attributes: {
            audio: config.HTML5EmbedAudioAttributes,
            video: config.HTML5EmbedVideoAttributes,
        },
    },
});
exports.default = (md, config) => {
    if (!config.enableHTML5Embed) {
        return;
    }
    md.use(require(path_1.resolve(utility_1.extensionDirectoryPath, "./dependencies/markdown-it/extensions/markdown-it-html5-embed.js")), optionsFromConfig(config));
};
//# sourceMappingURL=html5-embed.js.map