"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.princeConvert = void 0;
const child_process_1 = require("child_process");
function princeConvert(src, dest) {
    return new Promise((resolve, reject) => {
        child_process_1.execFile("prince", [src, "--javascript", "-o", dest], (error) => {
            if (error) {
                let errorMessage = error.toString();
                if (error.message.indexOf("spawn prince ENOENT") >= 0) {
                    errorMessage = '"princexml" is required to be installed.';
                }
                return reject(errorMessage);
            }
            return resolve();
        });
    });
}
exports.princeConvert = princeConvert;
//# sourceMappingURL=prince-convert.js.map