"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Viz = void 0;
const path_1 = require("path");
const utility_1 = require("./utility");
/* tslint:disable-next-line:no-var-requires */
const _VIZ = require(path_1.resolve(utility_1.extensionDirectoryPath, "./dependencies/viz/viz.js"));
/* tslint:disable-next-line:no-var-requires */
const { Module, render } = require(path_1.resolve(utility_1.extensionDirectoryPath, "./dependencies/viz/full.render.js"));
let viz = null;
/**
 *
 * @param renderOption https://github.com/mdaines/viz.js/wiki/API#render-options
 */
function Viz(digraph, renderOption) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            if (!viz) {
                viz = new _VIZ({ Module, render });
            }
            return yield viz.renderString(digraph, renderOption);
        }
        catch (error) {
            // Create a new Viz instance (@see Caveats page for more info)
            viz = null;
            throw error;
        }
    });
}
exports.Viz = Viz;
//# sourceMappingURL=viz.js.map